// From Grillade: https://github.com/alsacreations/KNACSS/blob/5e90fdb5837083157d37bff1a22694810092c887/sass/_config/_mixins.scss
// License: WTFPL
//
// DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
// Version 2, December 2004
//
// Copyright (C) 2004 Sam Hocevar <sam@hocevar.net>
//
// Everyone is permitted to copy and distribute verbatim or modified
// copies of this license document, and changing it is allowed as long
// as the name is changed.
//
// DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
// TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
//
// 0. You just DO WHAT THE FUCK YOU WANT TO.

// Additionnal "utility" breakpoints aliases
// ex. @include respond-to("medium-up") {...}

// Warning: you should use your own values, regardless of the devices
// Best practice is Mobile First: (min-width: $breakpoint)
$tiny        : 480px !default;
$small       : 576px !default;
$medium      : 768px !default;
$large       : 992px !default;
$extra-large : 1200px !default;

$bp-aliases: (
        'tiny'   : (max-width: #{$tiny - 1}),
        'small'  : (max-width: #{$small - 1}),
        'medium' : (max-width: #{$medium - 1}),
        'large'  : (max-width: #{$large - 1}),
        'extra-large'  : (max-width: #{$extra-large - 1}),
        'tiny-up'   : (min-width: #{$tiny}),
        'small-up'  : (min-width: #{$small}),
        'medium-up' : (min-width: #{$medium}),
        'large-up'  : (min-width: #{$large}),
        'extra-large-up' : (min-width: #{$extra-large}),
        'retina' : (min-resolution: 2dppx)
);

@mixin respond-to($name) {
  // If the key exists in the map
  @if map-has-key($bp-aliases, $name) {
    // Prints a media query based on the value
    @media #{inspect(map-get($bp-aliases, $name))} {
      @content;
    }
  }
}
